{# List of members of an organization #}

{% if user.canEdit(contact) %}
    <a class="header-button btn btn--plus" href="{{ add_query_arg('civicrm_action', 'add_member') }}">
        {{ __('Add a member', 'civicrm-frontoffice') }}
    </a>
{% endif %}
<div class="members clear">
    <p>
        {{ __('Only admin members can edit the organization info.', 'civicrm-frontoffice') }}
        {{ __('The first member is automatically promoted to admin status.', 'civicrm-frontoffice') }}
    </p>
    <ul class="members members__members clear">
        {% for member in contact.getMembers(relationshipType) %}
            <li class="members__member member">
                <a class="member__link" href="{{ add_query_arg({civicrm_action: 'show_member', civicrm_id: member.get('id'), civicrm_from: contact.get('id')}) }}">
                    <div class="member__avatar">
                        {% if shortcode_exists('avatar') and member.getUser() %}
                            {% filter shortcodes %}
                                [avatar user="{{ member.getUser().get('id') }}"]
                            {% endfilter %}
                        {% else %}
                            {# Display default avatar #}
                        {% endif %}
                    </div>
                    <div class="member__details">
                        <p class="member__name">{{ member.get('display_name') }}</p>
                        {% if member.getParentRelationship(contact, relationshipType).get('is_permission_a_b') == 1 %}
                            <p class="member__admin">{{ __('Admin', 'civicrm-frontoffice') }}</p>
                        {% endif %}
                        {% if member.getParentRelationship(contact, relationshipType).get('description') %}
                            <p class="member__description">
                                {{ member.getParentRelationship(contact, relationshipType).get('description') }}
                            </p>
                        {% endif %}

                        <p class="member__email">{{ member.get('email') }}</p>
                    </div>
                </a>
            </li>
        {% endfor %}
    </ul>
</div>
